Skip to main content
`Ctrl`+`K`

# numpy.testing.decorate_methods

testing.decorate_methods(cls, decorator, testmatch=None)

  Apply a decorator to all methods in a class matching a regular expression.

  The given decorator is applied to all public methods of cls that are matched by the regular expression testmatch (`testmatch.search(methodname)`). Methods that are private, i.e. start with an underscore, are ignored.

  Parameters:
    cls class

      Class whose methods to decorate.

    decorator function

      Decorator to apply to methods

    testmatch compiled regexp or str, optional

      The regular expression. Default value is None, in which case the nose default (`re.compile(r'(?:^|[\b_\.%s-])[Tt]est' % os.sep)`) is used. If testmatch is a string, it is compiled to a regular expression first.